# 32/64bit spec-file
#
# Note: this is actually GentiumPlus rename the source to Gentium
%define pkgname		Gentium
%define name		fonts-ttf-%{pkgname}
%define version		1.510
%define release		%mkrel 1

Summary:		Free multilingual Truetype fonts
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		%{name}.tar.xz
License:		OFL
Group:			System/Fonts/True type
Url:			http://scripts.sil.org/%{pkgname}
BuildRoot:		%_tmppath/%name-%version-%release-root
BuildArch:		noarch
BuildRequires:		freetype-tools
Requires(post): 	fontconfig
Requires(postun): 	fontconfig


%description
Gentium is a typeface family designed to enable the diverse ethnic
groups around the world who use the Latin and Greek scripts to produce
readable, high-quality publications. It supports a wide range of
Latin-based alphabets and includes glyphs that correspond to all the
Latin ranges of Unicode.

The design is intended to be highly readable, reasonably compact, and
visually attractive. The additional 'extended' Latin letters are
designed to naturally harmonize with the traditional 26
ones. Diacritics are treated with careful thought and attention to
their use. Gentium also supports both polytonic and monotonic Greek,
including a number of alternate forms. 

%prep

%setup -q -n %{name}

%build

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/TTF/%{pkgname}
cp *.ttf %buildroot/%_datadir/fonts/TTF/%{pkgname}

(
cd %buildroot/%_datadir/fonts/TTF/%{pkgname}
%_sbindir/ttmkfdir -u -m 1 > fonts.scale
cp fonts.scale fonts.dir
)

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/%{pkgname} \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-%{pkgname}:pri=50

dos2unix README.txt

%post
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc *.txt documentation/
%dir %{_datadir}/fonts/TTF/%{pkgname}
%{_datadir}/fonts/TTF/%{pkgname}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{pkgname}/fonts.dir
%{_datadir}/fonts/TTF/%{pkgname}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-%{pkgname}:pri=50


%changelog
* Sun Feb 03 2013 pinoc <vogtpet at gmail.com> 1.510-1pclos2013
- 1.510

* Mon Mar 08 2010 Texstar <texstar at gmail.com> 1.02-11pclos2010
- rebuild

* Wed Sep 23 2009 pcserver <pcserver at hushmail.com>
- update & rebuild
